Subject: [Nfvrg] Towards a comprehensive, living catalogue of open source tools

From: Christian Esteve Rothenberg <[email-masked]>
Date: Thu, 11 Aug 2016 14:08:09 -0300

Forwarding to NFV folks the call for contributions to the initiative
described below
(apologies for duplicates)

---------- Forwarded message ----------
From: Christian Esteve Rothenberg <[email-masked]>
Date: Thu, Aug 11, 2016 at 1:58 PM
Subject: Re: [Sdn] SDN reading list
To: Matt Mathis <[email-masked]>
Cc: Cristian Lumezanu <[email-masked]>, "[email-masked]"
<[email-masked]>, "[email-masked]"
<[email-masked]>, Josh Bailey <[email-masked]>,
Christopher Lorier <[email-masked]>

Hi Matt and fellows,

Cool work on FAUCET (congrats to Josh Bailey and Chris Lorier!)

My understanding is that think Cristian L.reading list is focused on
scientific papers to build the reading list. Is there already one
publication around FAUCET?

In any case, I wanted to point interested folks to the initiative
towards putting together the comprehensive list of open source tools
in SDN, NFV, etc.

I recall Martin Casado keeping a webpage on OpenFlow projects, and
there have been other attempts to get such a knowledge hup
(sdnhub.org, sdxcentral directory).

We are working on an "always up-to-date catalogue" that will be
managed by the community as a Wiki --think Wikipedia for researchers
and practitioners in our softwarized (or not) networking domain.

To this end my proposal to feed Wiki with an initial content based is
to collaboratively collect in this spreadsheet all open source
projects we as the community are aware of:
https://docs.google.com/spreadsheets/d/1NHI4MZZWVDpxF_Rs7OOSTUa_aHL2ACUVA_Ov-YQs1DA/edit#gid=0

Please feel free to directly contribute in any of the following (but
not limiting) ways:
- Add more open source projects (as today 100+)
- Fill in any missing info, especially feel free to Review/Edit/Add as
many Tags as you feel apply to each project.
- Review/Edit/Add Tags collected in the tab "Tag"
- Distribute this call for help among your trusted peers / students / etc.
- Send feedback about the proposed strategy and share your suggestions
to move forward.
- ...

Thanks in advance for any contributions, if only each of us in these
lists would spend just 5 minutes contributing content, we will very
soon have an excellent starting point for the Wiki catalogue!

Warm regards,
Christian

On Wed, Aug 10, 2016 at 5:44 PM, Matt Mathis <[email-masked]> wrote:
> Can I suggest an addition?
>
> FAUCET SDN blog: an open source SDN/OpenFlow controller for experimental and
> enterprise networks.   https://faucet-sdn.blogspot.com/
>
> Thanks,
> --MM--
> The best way to predict the future is to create it.  - Alan Kay
>
> On Wed, Jul 27, 2016 at 8:36 AM, Cristian Lumezanu <[email-masked]>
> wrote:
>>
>> Hi everybody,
>>
>> I have been maintaining an SDN reading list
>> (https://sites.google.com/site/sdnreadinglist/) for the last four years. My
>> original goal was to provide a centralized repository of SDN research to
>> better help both newcomers and experienced researchers navigate this rather
>> new research area. The number of hits that the website receives every day
>> makes me think that this effort was not in vain. However, as the field of
>> SDN has grown rapidly in the past few years, so has the number of projects,
>> conferences, and papers that I must keep track of and update. This is slowly
>> taking up more time than I can allocate to it and the freshness of the list
>> suffers.
>>
>> Therefore, I would like to turn the SDN reading list into a collaborative
>> project. For this, I am looking for volunteers who would like to take over
>> the task of updating (and keeping up-to-date) small parts of the site. A
>> “part” could be a sub-area of SDN research, such as “verification” or
>> “monitoring and measurement". If it’s your own research area, even better,
>> you are probably following all related work anyway and would need little
>> time to keep your part up-to-date.
>>
>> If you can help with this, please send me a personal email with what
>> sub-areas you are comfortable updating and any other constraints that you
>> may have. Even if you don’t have time for this but you have suggestions for
>> how this reading list might better serve the community, please send them
>> along.
>>
>> Cristian
>>
>> _______________________________________________
>> sdn mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/sdn
>
>
>
> _______________________________________________
> sdn mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/sdn
>